Filewatcher File Search File Search
Catalog
Content Search
» » » » » blender-ogrexml-1.8_1.8.0+dfsg1-3_all.deb » Content »
pkg://blender-ogrexml-1.8_1.8.0+dfsg1-3_all.deb:195686/usr/share/doc/blender-ogrexml-1.8/  info  control  downloads

blender-ogrexml-1.8 - Blender Exporter for OGRE…  more info»

changelog.Debian.gz

ogre-1.8 (1.8.0+dfsg1-3) unstable; urgency=low

  * Document some files oversought in debian/copyright (Closes: #690199).
    Thanks Bart Martens and Anton Gladky for reporting and collaborating in
    fixing the problem.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 13 Nov 2012 20:02:38 +0000

ogre-1.8 (1.8.0+dfsg1-2) unstable; urgency=low

  * Remove Samples altogether, since almost all of them contain or depend on
    non-free items (fonts and some media objects, see Debian and upstream bug
    report).
    After contacting upstream, they are not inclined to resolve the issue soon
    (read: it will take years and several major releases, if it happens at all).
    All of them are removed and there will be no attempt to track which ones are
    DFSG-compliant; it is quite a burden (thus decreasing the time that can be
    devoted to maintain the package in good shape, follow closely upstream
    updates, etc), and this is even more complicated with different sets of
    samples in every release (as it is the case now, with v1.7 and v1.8 in the
    Debian archive).
    This change encompasses the following actions/changes:
    - Repack the source (simply removing all ./Samples/)
    - Remove patch change_sample_cfg_path.patch, of no use now
    - Remove corresponding sample packages from debian/control
    - Remove files debian/*samples*.install
    - Closes: #684219 ("ogre contains non-free font from larabie collection")
  * Force Build-Depends and Depends of libogre-dev on version 1.49 (this
    particular one since it is the default for Wheezy).  OGRE exposes internal
    source code from boost which is sometimes incompatible between versions and
    might produce deadlocks with applications using/linking incompatible
    versions of boost.  The problem is probably not fixed completely, but this
    is an attempt to mitigate it (see the bug report for the discussion).
    Thanks Paul D Turner for the toughtful report and Steve M. Robbins for
    feedback.  (Closes: #688582).
  * Patches:
    - Add remove-alignment-hack.patch to drop obsolete stack alignment hack that
      breaks with gcc-4.7 (removed in upstream 1.8.1).  Thanks Julian Taylor and
      Kai Mast for the report and patch.  (Closes: #687013).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 10 Oct 2012 21:42:07 +0100

ogre-1.8 (1.8.0-1) unstable; urgency=low

  * New upstream release
    - Update debian/copyright accordingly
  * New source package name (ogre-1.8), different versions should be
    co-installable
    - Binary package names changed accordingly
  * Patches:
    - Disable fix_bug_613924-ftbfs_armel.diff, seems to be fixed upstream
    - Update path containing version in change_sample_cfg_path.patch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 07 Jun 2012 23:09:30 +0100

ogre (1.7.4-5) unstable; urgency=low

  * Modify options to avoid CPPFLAGS hardening flags missing (Closes: #665324)
  * Minor modifications to debian/copyright to avoid lintian warnings about
    non-conformant fields

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 30 Apr 2012 17:26:58 +0100

ogre (1.7.4-4) unstable; urgency=low

  * Build-depends on libois-dev changed to [linux-any] only, and samples
    packages built for only for [linux-any] as well, since OIS does not build in
    non-Linux kernels/architectures (Closes: #664548).
  * Small reformat to debian/copyright to follow standards (a paragraph, content
    of a field, without a leading space)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 18 Mar 2012 22:01:08 +0000

ogre (1.7.4-3) unstable; urgency=low

  * Install /usr/share/OGRE-*/*.cfg files in the samples binary package instead
    of an arch-independent one, so it includes the correct path for plugins for
    each architecture (Closes: #663502)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 12 Mar 2012 19:34:12 +0000

ogre (1.7.4-2) unstable; urgency=low

  * Test for existence of directories /etc/OGRE* before attempting to remove
    them in {pre,post}{inst,rm} scripts
  * Declaring pre-dependency on dpkg (>= 1.15.7.2~) because of the use of
    dpkg-maintscript-helper
  * debian/copyright format set to format-1.0 (with appropriate URL)
  * Fix short description and priority of the sample packages

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 04 Mar 2012 23:44:09 +0000

ogre (1.7.4-1) unstable; urgency=low

  * New upstream release
    - Change names of relevant packages with 1.7.3 for 1.7.4
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * Enable building and installing the samples, including source code
    - Create new packages: ogre-samples, -data and -dbg
    - Add Build-Depends on libois-dev
    - Add debian/patches/change_sample_cfg_path.patch to make SampleBrowser be
      able to detect the plugins installed in the system, especially the
      Renderer, without which it cannot start.
  * Add "dpkg-maintscript-helper rm_conffile /etc/OGRE/plugins.cfg" also in
    libogre-$(VERSION).postinst and .postrm (not only .preinst), to try to
    remove unmodified versions of the file from previous package revisions.
    Thanks again to Sam Morris, hopefully the bug is properly fixed this time
    (Closes: #656997).
    - Do the same for /etc/OGRE-1.7.3/plugins.cfg shipped in 1.7.3-5
  * Remove wrongly used "Multi-Arch: same" in -dev package, one of the files
    shipped is actually different in some architectures due to endian-ness
    differences (Closes: #658659).  Thanks Jakub Wilk.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 27 Feb 2012 14:42:45 +0000

ogre (1.7.3-6) unstable; urgency=low

  * Use always "versioned" directory names, like /usr/share/OGRE-1.7.3 and
    /usr/lib/MULTIARCH_TRIPLET/OGRE-1.7.3 instead of plain .../OGRE.  In this
    way several versions of the library can be installed at once, as it's
    usually the case with shared libraries but it was not with OGRE until now
    (Closes: #653527).
  * Add missing Build-Depend on "dpkg-dev (>= 1.16.1~)" (instead of the
    suggested .0 of the bug report), and substituting DEB_BUILD_MULTIARCH for
    DEB_HOST_MULTIARCH (Closes: #658015).  The former was used by a propagated
    mistake.  Thanks Sam Morris for the notice and the patch (although I didn't
    use the patch provided because I had already changed the more problematic
    parts with a better solution).  Please reopen if there are still remaining
    problems.
  * Remove /etc/OGRE*/plugins.cfg, according to upstream it's not present in
    other systems, and indeed is more appropriate for applications to define
    what plugins they want to use (or rely only on code, not .cfg files, for
    that).
    - Remove the Debian script /usr/bin/update-ogre-plugins (and its manpage),
      it's of no use now.
    - Remove the template for plugins.cfg
  * Remove /etc/OGRE/plugins.cfg when uninstalling (or upgrading and moving the
    file elsewhere, as it happened for a few versions), if the one installed in
    the system was unmodified.  Thanks Sam Morris for the report and the
    suggested fix (Closes: #656997)
  * Remove cruft provided in the past along with the package but not used for a
    few releases/years:
    - LightwaveConverter.1: binary not present since very long
    - ogre-get-orig-source-1.6.4: script obsolete and unnecessary since with 1.7
      -- it's been clarified that the documentations and the samples are DFSG
      compatible

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 04 Feb 2012 21:18:16 +0000

ogre (1.7.3-5) unstable; urgency=high

  * Urgency set to high because the version in testing (1.7.3-3) is quite
    broken, and will not work for most people.
  * Moving configuration and plugins in directories named just "OGRE" to
    "OGRE-${VERSION}", so actually several versions of the library can be
    installed at the same time.
  * Fixing paths in the shipped plugins.cfg for the new location of the plugins
    in multi-arch environment, including RPATH for the plugins using it.
  * Remove debian/extras/ogre-plugins-config.in and ogre-plugins-config.1
    (corresponding man page).  As far as I know they were never used, and
    introducing such a tool creates more harm than good in my opinion
    (divergence from upstream and needlessly doing things ad-hoc that should be
    managed by the users of the library).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 18 Jan 2012 12:41:51 +0000

ogre (1.7.3-4) unstable; urgency=low

  * Disabling some hardening and linking options, they were causing severe
    problems for some users with the application aborting during initialisation
    (Launchpad bug LP: #913523), confirmed in Debian.  I think that the main
    culprit is "-Wl,-Bsymbolic", although other hardening flags were disabled
    because of compilation failures after disabling the previous one (+pie).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 15 Jan 2012 16:27:57 +0000

ogre (1.7.3-3) unstable; urgency=low

  * Switch to debhelper compat level v9
  * Build for multiarch
    - Fix RPATH issue with Plugin_OctreeZone.so, using directory inside
      /usr/lib/multi-arch-triplet/OGRE
  * Enable some extra compiling options and hardening flags
  * Remove Build-Depends on quilt (quells lintian warning:
    unneeded-build-dep-on-quilt)
  * Remove Michael Koch <konqueror@gmx.de> as Uploader, not active for years and
    only active for a brief period in time

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 21 Dec 2011 12:50:31 +0000

ogre (1.7.3-2) unstable; urgency=low

  * Changed debhelper compat to level 8 (level 7 before), no changes needed
  * Overriding lintian errors of embedded libraries; the modified TinyXML
    library redefines base string classes to match OGRE's and thus it's not
    straightforward to unravel; and 'glew' as part of a GL rendering plugin:
    - 'embedded-library usr/bin/OgreXMLConverter: tinyxml'
    - 'embedded-library usr/lib/OGRE/RenderSystem_GL.so: glew'

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 10 Jul 2011 01:44:47 +0200

ogre (1.7.3-1) unstable; urgency=low

  * New upstream release
  * The Manual and API Reference are now licensed under CC 3.0 (Closes: #612150)
    and they are included in the ogre-doc binary package
  * Rename libogremain*->libogre, there is no need for the suffix

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 02 Jun 2011 19:29:04 +0200

ogre (1.7.1-4) unstable; urgency=low

  * Simplifying a lot debian/rules file by leveraging debhelper capabilities,
    only acting when deviating from auto behaviour
  * Fix lintian warning 'spelling-error-in-changelog: architechture', introduced
    in 1.7.1-3
  * Remove binaries of ogre-tools in libogremain-VERSION-dbg, they appeared
    there for some reason

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 02 Jun 2011 00:16:35 +0200

ogre (1.7.1-3) unstable; urgency=low

  * Improvements to the copyright file, especially including MIT license text
    instead of pointing to a file which does not exist
  * Reorganising Replaces and replacing Conflicts with Breaks to include only
    versions 1.4.9 and 1.6.4 (this one missing from a couple of places) -- thus
    effectively ignoring versions from ancient releases from Debian
  * Remove fix_pthread.patch, which does not seem to be needed.  It was already
    disabled in previous build and no problems were detected, and this URL seems
    to indicate that the problem is known and fixed in 1.7.0:
    http://www.ogre3d.org/mantis/view.php?id=256
  * Fix 'watch' file so it works correctly with all released sources up to now
  * Remove 'compiledemos.sh', it was neglected since v1.4.9 a few years ago,
    it's a bit hackish and lacks proper clean-up mechanisms (as stated in
    comments inside the script itself).  Also, updating the script from revision
    to revision (sometimes with new demos/samples, or removed ones) is annoying
    to maintain for little benefit (see #561614).  Now the building system with
    CMake takes care of compiling all of the demos/samples at once, or it's very
    easy to compile each one individually.
  * Try to fix FTBFS in ARMEL architecture, patch
    fix_bug_613924-ftbfs_armel.diff (Closes: #613924)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 31 May 2011 03:20:25 +0200

ogre (1.7.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 30 May 2011 18:06:14 +0200

ogre (1.7.1-1) unstable; urgency=low

  * New upstream version (Closes: #577687).
  * Bumped debhelper compatibility from 5 to 7 (no changes).
  * Bumped Standards-Version from 3.8.3 to 3.9.1 (no changes).
  * Updated 'watch' file, the name of the archives is not very regular.
  * License changed from LGPL-2.1+ to MIT in 1.7, changes to 'copyright' file.
  * Bug fixed upstream where "config.h" file was included from current dir
    (instead of Ogre includes) (Closes: #520913).
  * Use source/format '3.0 (quilt)' (project already used 'quilt').
  * Many tweaks needed to get things working: libraries changed names slightly,
    .so use version in filename, using CMake vs autotools as building system
    (requiring many changes in the rules file), need to remove and rename some
    locally created man pages, some command line tools removed (MaterialUpgrade)
    or renamed (MeshUpgrade -> -r), ...
  * CEGUI-OGRE Renderer is not present (so the 3 related binary packages go
    away).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 13 Oct 2010 19:30:37 +0200

ogre (1.6.4.dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Fix inclusion of headers in various -dev packages.

 -- Michael Koch <konqueror@gmx.de>  Thu, 01 Oct 2009 09:13:06 +0200

ogre (1.6.3.dfsg1-1) unstable; urgency=low

  * New upstream version (Closes: #524777).
  * Move files in blender-ogrexml package to /usr/share/blender/scripts
    (Closes: #519249).
  * Make -dev packages arch:any and righten dependencies of them.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Sep 2009 08:14:07 +0200

ogre (1.6.1.dfsg1-2) unstable; urgency=low

  * Add Conflicts for libogremain-1.4.9 to libogremain-1.6.1.
    (Closes: #521413)
  * Added debian/patches/fix_pthread.patch to allow building ogre
    on more architectures (Closes: #520863)
  * Updated debian/patches/fix_distclean.patch to allow building
    two times in a row (Closes: #524775)
  * Remove EXR plugin from default plugins.cfg (Closes: #520924).
  * Moved libceguiogrerenderer-1.6.1-dbg and libogremain-1.6.1-dbg
    to debug section.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Sep 2009 05:32:02 +0200

ogre (1.6.1.dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Updated patch to remove extra Samples introduced in 1.6.x series.
  * Disabled OpenEXR plugin; does not compile with default gcc in
    unstable.
  * Updated library versions from 1.4.9 to 1.6.1.
  * Updated debian/watch to use only the SF redirector.
  * Bumped to Standards-Version 3.8.1.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 15 Mar 2009 22:00:19 +0100

ogre (1.4.9.dfsg1-1) unstable; urgency=low

  * New upstream release. (Closes: #479280)
  * Removing non-free documentation from main packaging. (Closes: #485899)
  * Fix copyright file. Using proposal found in
    http://wiki.debian.org/Proposals/CopyrightFormat.
  * Bumped to Standards-Version 3.8.0.
  * Add get-orig-source rule. Just runs external script.
  * Add note about correct Wings3D homepage in libogre-dev README.Debian file.
  * Fixing debian-watch-file-should-mangle-version lintian warning.
  * Making patches compatible with quilt 3.0.
  * Removing nvidia_fbo_fix.patch. Applied upstream.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 20 Jul 2008 00:27:43 -0400

ogre (1.4.8.dfsg1-1) unstable; urgency=low

  * New upstream release.
    + Updated watch file, rules file, and control file appropriately.
    + Updated ogre-get-orig-source.
  * Declaring *ONLY* Replaces fields for old packages that contained 1.4.6 in
    their names.
  * Updated compiledemos.sh.
  * Setup a OGRE_CONFIG_OPTIONS for default configure options used in building
    ogre.
  * Changing use of CFLAGS TO CXXFLAGS.
  * Updated update-ogre-plugins manual page.
  * Adding CommandLineTools_Readme.txt for ogre-tools documentation.
  * No longer providing ogre-tools-dbg. 'nostrip' option will be used instead.
  * Place update-ogre-plugins in /usr/bin instead of /usr/sbin.
  * Added 'DM-Upload-Allowed: yes' field.
  * Fix patches.
  * Allow some files to be slightly autogenerated based on the version of ogre
    that's being built.
  * Convert to git repository for packaging.
  * Add fix for problem using nvidia 169.12 drivers.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 19 May 2008 02:14:26 -0400

ogre (1.4.6.dfsg1-1) unstable; urgency=low

  * New upstream release. (Closes: #458902)
  * Modified ogre-tarball.sh script to make it easier to maintain.
    + Use exit status 1 for errors
    + Remove extracted orig directory.
    + Moved debian/extras/ogre-tarball.sh to debian/ogre-get-orig-source.
  * Appending 'dfsg1' at the end of upstream version to let others
    know that the upstream source has been repacked.
  * Bumped Standards-Version to 3.7.3.
  * Making all *-dbg packages Priority: extra.
    + Addresses some lintian warnings.
  * New releases have been introducing ABI changes for ogre. Reverting back
    to using -release versioning scheme for sonames.
    + Updated README.Debian files
  * Making *-dev packages binary-independent.
  * Making library package name match sonames.
    + Addresses lintian warnings.
  * Fixed bad Vcs-SVN link. Also removing '+ssh' part.
  * Take out call to ldconfig during debian/rules install.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 05 Jan 2008 23:15:33 -0500

ogre (1.4.5-3) unstable; urgency=low

  * Fixing build problem for kfreebsd. (Closes: 451669)
    + Patch modifying Samples/Common/Makefile.am now checks for HAVE_CEGUI.
    + Seperating CEGUI Renderer binaries into libceguiogre{14,14-dbg,-dev}
      packages.
    + CEGUI Renderer needs CEGUI (>= 0.5.0) so build dependency changed from
      libcegui-mk2-dev to libcegui-mk2-dev (>= 0.5.0).
  * Removing XS- in Vcs-* entries in debian/control. Vcs is now official.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 22 Nov 2007 00:33:54 -0500

ogre (1.4.5-2) unstable; urgency=low

  [ Andres Mejia ]
  * (Closes: 327423)
    Providing a script that downloads and compiles the demos was the best way
    in fixing bug 327423 since the demos have licensing problems preventing
    them from being distributed through Debian.
  * (Closes: 356427)
    Original submitter of this bug says the bug is probably not valid by now.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 15 Nov 2007 11:57:28 -0500

ogre (1.4.5-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release.
  * Removed makefile_modifications patch as it's no longer needed.
  * Modified disable_samples patch to update version info.
    + Also removed checks for ogre platform and gui as they are not needed.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 08 Oct 2007 14:14:46 -0400

ogre (1.4.4-2) unstable; urgency=low

  [ Andres Mejia ]
  * Added Homepage field in source stanza that will be supported soon.
  * Add Vcs-{Svn,Browser} fields in control file.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 03 Sep 2007 23:38:07 -0400

ogre (1.4.4-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release.
  * Modifying debian/control.
    + Taking out dependency of autoconf. It's a dependency of automake.
    + Depending on libz-dev instead of zlib1g-dev
    + Taking out dependency of libx11-dev, dependency of libxt-dev.
    + Taking out dependecy of libxext-dev, dependency of libxrandr-dev.
    + Removing depends of libtiff4-dev for libogre-dev as tiff support should
      be provided by libfreeimage-dev.
  * Closing bug where libogre wasn't installable because of new zzip packages.
    + This new version will need to be built anyway. (Closes: 439868)
  * Removing tar-in-tar method.
    + Fixed debian/rules.
    + Fixed install and docs files.
    + Fixed patches.
  * Removing 64-bit_architectures patch as it's been merged upstream.
  * Removing gcc_mips patch as it's been merged upstream.
  * Certain components from disable_samples patch were also merged upstream.
  * Using quilt instead of dpatch for patching.
  * Updated watchfile.
  * Updated script that creates orig tarball.
    + Now downloads and provides md5sum checks.
  * Removing optional dependency of libdevil-dev.
    + Use of freeimage is preferred upstream.
  * Including some patches that fixes problem with running 'make distclean'.
  * Adding "clean" along with "distclean" in debian/rules "clean" target.
  * Resolving some lintian warnings.
    + Added option to not include *.tmp files for ogre-doc package.
    + Removing config.log file when doing running 'debian/rules clean'.
  * Modified compileall.sh script to allow for downloading and extracting
    upstream tarball as well as compiling samples.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 30 Aug 2007 22:45:27 -0400

ogre (1.4.3-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release
  * Fixing FTBFS for mips, thanks to Brian M. Carlson (Closes: 358221)
  * Fixing FTBFS for ppc64, thanks to Andreas Jochens (Closes: 364050)
  * Fixing FTBFS for other 64-bit based architectures
    + Major thanks to Steve Langasek for this fix.
    + (Closes: 332514)
    + (Closes: 342380)
  * Closing some NMU bug reports.
    + Build-dependencies are already fixed.
    + Another method for using dh_compress is used.
    + Upstream source of ogre compiles well with g++-4.1.
    + (Closes: 349420)
    + (Closes: 357374)
    + (Closes: 358006)
  * Closing FTBFS with G++ 4.1 bug. (Closes: 356442)
    + All modification were already found upstream.
    + Thanks goes to Martin Michlmayr for providing a fix.
  * Forgot to close one new version bug. (Closes: 350059)
    + A much newer script is provided upstream.
  * Added proper check for determining whether to use SSE.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 11 Jul 2007 00:29:41 -0400

ogre (1.4.2-2) unstable; urgency=low

  [ Andres Mejia ]
  * New maintainer. (Closes: #398110). It has been set to the Debian Games Team.
  * Added watch file.
  * Fixed lintian warning, ogre-doc: changelog-file-not-compressed ChangeLog.html

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 28 Jun 2007 13:24:56 -0400

ogre (1.4.2-1) unstable; urgency=low

  [ Federico Di Gregorio ]
  * Removed texi2html from Build-deps (not used anymore)
  * Added build dependency from libglu-dev and libgl-dev virtual packages.
  * Fixed various lintian warnings:
    + Changed $(PWD) to $(CURDIR) in debian/rules.
    + Changed ${Source-Version} to ${binary:Version} in debian/control.

  [ Christer Stenbrenden ]
  * New upstream release
    + (Closes: #368277)
    + (Closes: #416181)
    + (Closes: #423331)

  [ Andres Mejia ]
  * Did some cleanup to get this package to build using pbuilder.
  * Modified copyright file to include those who helped with packaging.
  * lib packages will be name libogre14 to reflect upstream version of 1.4.x.
  * No longer using dbs.
  * Using dpatch for patching.
  * Modified Build-Depends.
    + Taking out dependency on xorg metapackage as it breaks policy.
  * Modified patches to disable building of non-distributable samples only.
  * Repackaged tarball as ogre-free.
    + Only including distributable content in Samples directory.
    + Taking out autocache folders distributed in upstream source.
    + Taking out Mac folder as it is not needed for Debian build.
    + Taking out SDK folder as it is only useful for building for Windows.

 -- Andres Mejia <mcitadel@gmail.com>  Wed,  6 Jun 2007 16:54:01 -0400

ogre (1.2.4-1) UNRELEASED; urgency=low

  * New maintainer (Closes: #398110). It has been set to the pkg-games team
    to ease comaintenance.
  * New upstream release (Closes: #368277).
  * Acknowledge NMUs. Thanks to:
     - Steinar H. Gunderson <sgunderson@bigfoot.com> (Closes: #349420)
     - Luk Claes <luk@debian.org> (Closes: #358006, #357374)
    for having taken care of ogre by NMU-ing it when needed.

  [Tarball repack]
  * Repacked tarball as follows:
     - tar xfj ogre-linux_osx-v1-2-4.tar.bz2
     - # see notes above
     - mv ogrenew/ ogre-free/
     - tar cfz ogre-free.tar.gz ogre-free
  * Notes:
     - comparing with previous Debian packages, it looks like disabling the
       build of the CgProgramManager plugin is sufficient
     - TODO: check for non-free stuff in ogrenew/
     - at the moment, those actions are performed during the tarball repack:
         find ogrenew -name CVS -execdir \
         	rm CVS/{Entries,Repository,Root,Tag} ';'
         find ogrenew -name CVS -execdir \
         	rmdir CVS ';'

  [Debian patches]
  * Updated:
     - 01_dont_build_samples: more subdirs have to be disabled;
     - 10_gcc_4.1_mips: mips-specific patch, has to be sent upstream.
  * Deactivated:
     - 03_ogre_to_OGRE: looks like not needed anymore;
     - 08_fix_soname: looks like not needed anymore;
     - 09_gcc_4.1: patch integrated upstream.

  [SONAME and debhelper bumps]
  * Bumped SONAME from 5(c2a) to 12. Conflicts: and Replaces: updated
    accordingly, as well as filenames under debian/ and debian/rules content.
  * Bumped debhelper compatibility and B-D from 4 to 5. Needed changes:
     - Removed ``usr/lib/*.a'' from libogre-dev.install since there is no such
       file anymore. And now dh_install fails when expanding a wildcard to
       nothing.
     - Changed the --dbg-package option of dh_strip from `libogre12' to
       `libogre12-dbg'.

  [debian/control]
  * Added libcegui-mk2-dev to libogre-dev's Depends: so that pkg-config
    dependencies are OK.
  * NMU-safe: Turned `${Source-Version}' into `${binary:Version}', added a
    versioned build dependency on dpkg-dev, so that it should be NMU-safe
    (according to http://wiki.debian.org/binNMU).
  * Standards-Version bumped to 3.7.2.

  [Library fixes, debian/rules]
  * Added a call to `chrpath' on a .so file declaring a rpath on /usr/lib and
    added also a build dependency on this package.
  * Added the `/usr/lib/libOgrePlatform.so' in debian/libogre-dev.install so
    that it is shipped as well as `/usr/lib/libCEGUIOgreRenderer.so' is, and
    thus removed from debian/libogre12.install.
    TODO: Check that nothing is broken this way!
  * Removed unneeded call to libtool_clean.sh and removed that script since
    it's not longer needed.
  * Deleted (unused) library version declarations.

  [Lintian overrides]
  * Added lintian overrides about the soname issues: libOgreMainNNN is the
    library from which we take the SONAME. The other looks like internal and
    haven't change for a while. If they do, we'll consider building separate
    packages for them. The overrides are documented in the following file
    debian/libogre12.lintian-overrides.
    Updated libogre12.{dirs,install} accordingly.
  * Added lintian overrides to the blender-ogrexml package about the
    unusual-for-lintian but usual-for-blender interpreter (#!BPY).
    Updated blender-ogrexml.{dirs,install} accordingly.
 
  [Documentation]
  * Added `elinks' to Build-Depends, so that a proper changelog and other
    useful documentation can be generated from the HTML files.  Maybe one
    could want to use alternatives, but I'm not sure it's really useful. About
    the choice of elinks, it looks like quite well maintained.
  * Rewritten the debian/rules to put the documentation in order (e.g. a html/
    folder containing all HTML documentation), plain text files when HTML is
    not needed, etc.
  * Added an annotation in the README.Debian file of libogre-dev about the
    ``upcoming 1.0'' release. TODO: Update and rewrite that part.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 16 Nov 2006 21:16:42 +0000

ogre (1.0.6-1.4) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/10_gcc_4.1_mips: Don't use "mips" as a variable name.  Thanks
    to Brian M. Carlson for the patch. (Closes: #358221)

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 20:11:18 +0200

ogre (1.0.6-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Now really fix FTBFS with g++ 4.1 (Closes: #356442).

 -- Luk Claes <luk@debian.org>  Mon, 20 Mar 2006 17:59:01 +0100

ogre (1.0.6-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix dependency lines by adding missing commas (Closes: #352039).
  * Fix FTBFS with g++ 4.1 (Closes: #356442).

 -- Luk Claes <luk@debian.org>  Thu, 16 Mar 2006 19:44:47 +0100

ogre (1.0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346919)
  * Give correct binary package name to dh_compress; patch from Andreas
    Jochens. (Closes: #343239)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 22:41:23 +0100

ogre (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Removed patch 07_ogremain_map (--link-script reoved upstream.)
  * libstdc++ allocator change rename done (Closes: 339235).
  * Now depends on last version of runtime and development libraries
    available in unstable (Closes: #337524).
  * Moved the compileall.sh script to libogre-dev.
  * Now compress changelog.Debian in libogre-dbg.
  * Added 08_fix_soname to resolve upstream problem with soname
    of libOgreMain (sonames will be rearranged in 1.0.7 to be
    right again.)

 -- Federico Di Gregorio <fog@debian.org>  Wed, 07 Dec 2005 16:46:59 +0100

ogre (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Updated patch 07_ogremain_map to just remove the --link-script option.

 -- Federico Di Gregorio <fog@debian.org>  Sun,  2 Oct 2005 19:07:07 +0200

ogre (1.0.4-2) unstable; urgency=low

  * Added libtiff4-dev to libogre-dev dependencies (Closes: #320595).
  * Removed OgreMain/src/ogremain.map to avoid gcc 4 segfaults
    (Closes: #326652):

 -- Federico Di Gregorio <fog@debian.org>  Sun,  4 Sep 2005 22:09:44 +0200

ogre (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Dependencies (even generated ones) are now aligned with dependencies
    of other -c2 packages (Closes: #320595).
  * Added temporary fix (patch 07_ogremain_map) for gcc 4.0 STL-related
    problems.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 27 Aug 2005 23:13:42 +0200

ogre (1.0.3-2) unstable; urgency=low

  * Now all required C++ libraries hopefullt c2 versions (Closes: #318943,
    #320595).
  * Removed from Build-depends: doxygen. 
  * Added to Build-depends: libxxf86vm-dev.
  * Using automake and autoheader 1.9 explicitly.
  * Re-upload of the upstrea source (first upload, associated to 1.0.3-1
    was completely wrong.)

 -- Federico Di Gregorio <fog@debian.org>  Tue,  2 Aug 2005 23:27:30 +0200

ogre (1.0.3-1) unstable; urgency=low
  
  * New upstream release (Closes: #314490).
  * Removing two debian-specific patches:
    04_enable_rtti - rtti re-enabled upstream
    05_FTBFS - changes incorporated upstream
    06_OpenEXR - configure option fixed upstream
  * Building with gcc 4.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 11 Jul 2005 10:34:40 +0200

ogre (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Added dependencies to libogre-dev.
  * Removed removal of RTTI from Linux build (i.e., we build with RTTI
    enabled.)
  * Build tested with preliminary Xorg packages; Build-depends will
    need the following additions: libxxf86vm-dev.
    
 -- Federico Di Gregorio <fog@debian.org>  Thu,  2 Jun 2005 17:27:57 +0200

ogre (1.0.1-2) unstable; urgency=low

  * Rebuilt with correct libc6.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 18 Apr 2005 09:57:24 +0200

ogre (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Added Build-depends on libcegui-mk2-dev (Closes: #302893).
  * Added Build-depends on libxerces26-dev.
  * Applied patch from bug #304338 to fix build problems on 64 bit
    architectures; not applied the part that defined GCC_3_1 and EXT_HASH
    because Ogre 1.0.1 does not need it anymore; closes: 304338.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 16 Apr 2005 00:45:34 +0200

ogre (1.0.0-4) unstable; urgency=low

  * Renamed some of the patches.
  * Added patch 04_pyogre to enable pyogre builds (but not yet applied)
  * Added buildall.sh script to build all Samples in a pristine Ogre
    distribution (we can't distribute Samples for license problems.)
  
 -- Federico Di Gregorio <fog@debian.org>  Tue, 29 Mar 2005 16:00:21 +0200
  
ogre (1.0.0-3) unstable; urgency=low

  * Enabled CEGUI renderer build.
  
 -- Federico Di Gregorio <fog@debian.org>  Sun, 13 Mar 2005 12:19:35 +0100
  
ogre (1.0.0-2) unstable; urgency=low

  * Added missing Build-Depends on libzzip-dev.
  * Added Scripts/m4 to aclocal include path.
  
 -- Federico Di Gregorio <fog@debian.org>  Sun,  6 Mar 2005 11:45:18 +0100
  
ogre (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #296972).
  * Enabled OpenEXR plugin (added libopenexr-dev to Build-Depends.)
  * OgreLightwaveConverter still does not build.
  * Upstream bumped up soname: libogre4 -> libogre5.

 -- Federico Di Gregorio <fog@debian.org>  Sun, 27 Feb 2005 12:52:05 +0100

ogre (0.99.0rc1-1) unstable; urgency=low

  * New upstream release (1.0.0RC1).
  * Changed some debian-specific patches:
    10_dont_build_samples: removed Cg part, we now use --disable-cg
    20_fix_plugins: removed libtool stuff (was taken from HEAD, now
      integrated into 1.0.0)
    30_ogre_to_OGRE: just renamed to better explain what it does.
  * Temporarily disabled OgreLightwaveConverter (does not build in RC1).

 -- Federico Di Gregorio <fog@debian.org>  Sat, 19 Feb 2005 14:51:48 +0100

ogre (0.15.2-1) unstable; urgency=low

  * New upstream release.
  * libtool-clean.sh executed by /bin/sh should fix some autobuild
    problems (closes: #290380).

 -- Federico Di Gregorio <fog@debian.org>  Fri, 14 Jan 2005 19:12:47 +0100

ogre (0.15.1-9) unstable; urgency=low

  * Added Suggest: ogre-doc to libogredev package.
  * Added back libsdl1.2-dev because the ./configure script need
    AM_SDL_PATH anyway (probably patching configure.in would be a better
    solution but this quick fix works for sure.)
  * Modified "proprietary" into "native" in the ogre-tools package
    Description field. (closes: #289634)

 -- Federico Di Gregorio <fog@debian.org>  Tue, 11 Jan 2005 02:20:21 +0100

ogre (0.15.1-8) unstable; urgency=low

  * Changed platform and GL support from SDL to GLX: only GLX has support
    for hardware render-to-texture right now. Also we get a nice graphical
    configuration panel without the need for gtk.
  * Removed Build-depends on libsdl-1.2-dev.
  * Added Build-depends on libxaw7-dev.

 -- Federico Di Gregorio <fog@debian.org>  Thu,  6 Jan 2005 13:45:40 +0100

ogre (0.15.1-7) unstable; urgency=low

  * Added debugging libraries (libogre4-dbg)
  * Added section for source package.
  * Better sections for other packages.

 -- Federico Di Gregorio <fog@debian.org>  Sun,  2 Jan 2005 17:28:21 +0100

ogre (0.15.1-6) unstable; urgency=low

  * update-ogre-plugins now does not try to add .dpkg-XXX files as plugins.
  * Added a README.Debian for blender-ogrexml explaining how to make the
    export plugin available.

 -- Federico Di Gregorio <fog@debian.org>  Fri, 31 Dec 2004 14:29:13 +0100

ogre (0.15.1-5) unstable; urgency=low

  * Added update-ogre-plugins binary to the libogre4 package.
  * New plugins.cfg configuration file to go with update-ogre-plugins.
  * Removed dependency on springgraph, we now use prebuilt documentation.
  * Cleanup SDL cruft off all .la generated files or programs using libtool
    won't be able to link with Ogre untill libSDL.la is fixed.
  * Added Build-depends on xlibs-dev.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 18 Dec 2004 22:42:32 +0100

ogre (0.15.1-4) unstable; urgency=low

  * reverted back ogre to OGRE for 0.15.1 compatibility.
  * added patch 30_OGRE to work some configure magic and use OGRE for
    @PACKAGE@.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 14 Dec 2004 12:15:50 +0100

ogre (0.15.1-3) unstable; urgency=low

  * Changed /etc/OGRE to /etc/ogre to mimic the /usr/lib/OGRE change.
  * libogre4.install: now plugins are in /usr/lib/ogre.
  * Readme.html is installed in libogre4 too.
  * Added README.Debian to the libogre-dev package.

 -- Federico Di Gregorio <fog@debian.org>  Tue, 14 Dec 2004 08:04:34 +0100

ogre (0.15.1-2) unstable; urgency=low

  * Splitted samples and Cg plugin in their own ogre-nonfree source package.
  * Fixed path in plugins.cfg.
  * Added Build-depends on pkg-config, springgraph.
  * Integrated patch from HEAD to build plugins using -module and
    -avoid-version (that removes lots of lintian errors.)
  * This release will probably go to unstable.

 -- Federico Di Gregorio <fog@debian.org>  Thu,  9 Dec 2004 23:08:08 +0100

ogre (0.15.1-1) unstable; urgency=low

  * New upstream release.
  * With the new configure switch patch 001_cg is no longer necessary.
  
 -- Federico Di Gregorio <fog@debian.org>  Wed,  1 Dec 2004 19:00:01 +0100

ogre (0.15.0-4) unstable; urgency=low

  * Added the preliminary ogre-samples package.
  * ogre-doc and blender-ogrexml architecture switched from any to all.
  * Switched to the dbs to include the pristing bzipped tarball.
  * Better package descriptions.
  * Fixed error in debian/rules (config.status should depend on
    configure.in)
  * Removed dh_compress call when building ogre-doc, we want all
    the documentation to be readily accessible in a -doc package.
  * Include pre-converted Cg fragment and vertex programs, to avoid 
    problems with Cg compiler and libraries being non free.

 -- Federico Di Gregorio <fog@debian.org>  Mon, 22 Nov 2004 20:00:14 +0100

ogre (0.15.0-3) unstable; urgency=low
  
  * Applied patch from Moritz Muehlenhoff to fix terrain scene
    manager (change is already in upstream CVS.)

 -- Federico Di Gregorio <fog@debian.org>  Mon,  9 Nov 2004 23:12:34 +0200

ogre (0.15.0-2) unstable; urgency=low

  * Added detailed debian/copyright file by Moritz Muehlenhoff.
  * Added missing build-depends on autotools.

 -- Federico Di Gregorio <fog@debian.org>  Mon,  1 Nov 2004 16:34:03 +0200

ogre (0.15.0-1) unstable; urgency=low

  * New upstream version.
  
 -- Federico Di Gregorio <fog@initd.org>  Mon, 25 Oct 2004 12:15:08 +0200
 
ogre (0.14.1.p1.cvs.20041005-1) unstable; urgency=low
  
  * New CVS snapshot.

 -- Federico Di Gregorio <fog@initd.org>  Tue,  5 Oct 2004 23:25:47 +0200

ogre (0.14.1.p1.cvs20040919-1) unstable; urgency=low

  * New upstream release.
  * Switched to building CVS releases.
  * Now all non-free media files are stripped from the source package too.
  * All samples removed (they won't work anyway without media.)

 -- Federico Di Gregorio <fog@initd.org>  Wed, 29 Sep 2004 12:01:13 +0200

ogre (0.14.1.p1-1) unstable; urgency=low

  * Initial Release.

 -- Federico Di Gregorio <fog@initd.org>  Mon, 20 Sep 2004 23:04:34 +0200
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com